summaryrefslogtreecommitdiff
path: root/tests/cp/no-deref-link3.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/no-deref-link3.sh')
-rwxr-xr-xtests/cp/no-deref-link3.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/tests/cp/no-deref-link3.sh b/tests/cp/no-deref-link3.sh
index 897eb6b8d..137a50181 100755
--- a/tests/cp/no-deref-link3.sh
+++ b/tests/cp/no-deref-link3.sh
@@ -26,10 +26,8 @@ ln -s a b
# It should fail with a message something like this:
# cp: 'a' and 'b' are the same file
-cp -d a b 2>/dev/null
-
# Fail this test if the exit status is not 1
-test $? = 1 || fail=1
+returns_ 1 cp -d a b 2>/dev/null || fail=1
test "$(cat a)" = $msg || fail=1